Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #558
skins-qt: scrolling song title causes gfx glitches (OS X)

July 05, 2015 19:26 - Ariadne Conill

Status: Rejected Start date: July 05, 2015
Priority: Minor Due date:

Assignee: % Done: 0%
Category: plugins/skins-gt Estimated time: 0.00 hour
Target version:

Affects version: 3.7-alphat

Description

Hello,

When scrolling song title is enabled, it causes other widgets on the skin to not be rendered occasionally. | can attach a video if you

need.

History

#1 - July 05, 2015 19:28 - John Lindgren
- Category set to plugins/skins-qt
- Affects version 3.7-alphal added

I've seen something like this too, but maybe it would be just as well to attach a video to make sure we're talking about the same thing.

#2 - July 05, 2015 19:40 - Ariadne Conill

http://turtle.dereferenced.org/~kaniini/audacious-qt-skins-glitch.mov

#3 - July 06, 2015 01:48 - John Lindgren

Hmm, | have not seen this.

In widget.h, does it make any difference if you change

void draw_now () { repaint ();

to

void draw_now () { update ();

#4 - July 06, 2015 02:10 - Ariadne Conill
That fixed it, | went ahead and pushed it.

#5 - July 06, 2015 02:12 - Ariadne Conill
http://turtle.dereferenced.org/~kaniini/audacious-qt-skins-glitch.mov

It still glitches when the window doesn't have focus, but | think that has to do with event dispatch perhaps.

#6 - July 06, 2015 06:30 - John Lindgren

William Pitcock wrote:

That fixed it, | went ahead and pushed it.

Please make the change specific to Mac; repaint() works fine on X11 and is a much less expensive operation since it draws only a single widget,
whereas update() redraws the whole window.

#7 - July 18, 2015 16:56 - John Lindgren

- Subject changed from skins-qt: scrolling song title causes gfx glitches to skins-qt: scrolling song title causes gfx glitches (OS X)

#8 - January 29, 2017 19:39 - John Lindgren

- Status changed from New to Rejected

Closing OS X-specific bugs since development on that OS seems to have stalled.
